From: David Symonds <dsymonds@gmail.com>
To: Junio C Hamano <gitster@pobox.com>
Cc: git@vger.kernel.org,
Johannes Schindelin <Johannes.Schindelin@gmx.de>,
Andreas Ericsson <ae@op5.se>, David Symonds <dsymonds@gmail.com>
Subject: [PATCH] git-checkout: Support relative paths containing "..".
Date: Fri, 9 Nov 2007 11:36:06 +1100 [thread overview]
Message-ID: <11945685673280-git-send-email-dsymonds@gmail.com> (raw)
Signed-off-by: David Symonds <dsymonds@gmail.com>
---
git-checkout.sh | 6 +++---
1 files changed, 3 insertions(+), 3 deletions(-)
diff --git a/git-checkout.sh b/git-checkout.sh
index c00cedd..aa724ac 100755
--- a/git-checkout.sh
+++ b/git-checkout.sh
@@ -133,9 +133,9 @@ Did you intend to checkout '$@' which can not be resolved as commit?"
fi
# Make sure the request is about existing paths.
- git ls-files --error-unmatch -- "$@" >/dev/null || exit
- git ls-files -- "$@" |
- git checkout-index -f -u --stdin
+ git ls-files --full-name --error-unmatch -- "$@" >/dev/null || exit
+ git ls-files --full-name -- "$@" |
+ (cd_to_toplevel && git checkout-index -f -u --stdin)
# Run a post-checkout hook -- the HEAD does not change so the
# current HEAD is passed in for both args
--
1.5.3.1
next reply other threads:[~2007-11-09 1:01 UTC|newest]
Thread overview: 15+ messages / expand[flat|nested] mbox.gz Atom feed top
2007-11-09 0:36 David Symonds [this message]
2007-11-09 0:36 ` [PATCH] git-checkout: Test for relative path use David Symonds
2007-11-09 1:28 ` Junio C Hamano
2007-11-09 1:44 ` David Symonds
2007-11-09 1:54 ` Junio C Hamano
2007-11-09 1:57 ` David Symonds
2007-11-09 19:48 ` Robin Rosenberg
2007-11-09 7:13 ` Johannes Sixt
2007-11-09 7:24 ` David Symonds
2007-11-09 7:37 ` David Symonds
2007-11-09 8:04 ` Junio C Hamano
2007-11-09 8:14 ` David Symonds
2007-11-09 9:06 ` Junio C Hamano
2007-11-09 9:10 ` David Symonds
2007-11-09 9:12 ` David Symonds
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=11945685673280-git-send-email-dsymonds@gmail.com \
--to=dsymonds@gmail.com \
--cc=Johannes.Schindelin@gmx.de \
--cc=ae@op5.se \
--cc=git@vger.kernel.org \
--cc=gitster@pobox.com \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.